Debian Bug report logs - #646518
ufsutils: Wrong superblock after mkfs.ufs

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: phcoder <phcoder@gmail.com>

Date: Mon, 24 Oct 2011 18:27:05 UTC

Severity: normal

Tags: d-i, fixed-upstream, patch

Found in version ufsutils/8.2-2

Fixed in version ufsutils/8.2-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, phcoder@gmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#646518; Package ufsutils. (Mon, 24 Oct 2011 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to phcoder <phcoder@gmail.com>:
New Bug report received and forwarded. Copy sent to phcoder@gmail.com, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 24 Oct 2011 18:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: phcoder <phcoder@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ufsutils: Wrong superblock after mkfs.ufs
Date: Mon, 24 Oct 2011 20:23:22 +0200
Package: ufsutils
Version: 8.2-2
Severity: normal
Tags: d-i

The superblock is wrong when using mkfs.ufs. The magic 1901 5419 is at 0x00105b0 instead of 0x001055c as it is with FreeBSD newfs.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ufsutils depends on:
ii  libbsd0   0.3.0-1        
ii  libc6     2.13-21        
ii  libedit2  2.11-20080614-3

ufsutils recommends no packages.

ufsutils suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#646518; Package ufsutils. (Sun, 30 Oct 2011 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 30 Oct 2011 23:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 646518@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: phcoder <phcoder@gmail.com>, 646518@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#646518: ufsutils: Wrong superblock after mkfs.ufs
Date: Mon, 31 Oct 2011 00:22:01 +0100
[Message part 1 (text/plain, inline)]
tag 646518 patch
thanks
On 24.10.2011 20:23, phcoder wrote:
> Package: ufsutils
> Version: 8.2-2
> Severity: normal
> Tags: d-i
>
> The superblock is wrong when using mkfs.ufs. The magic 1901 5419 is at 0x00105b0 instead of 0x001055c as it is with FreeBSD newfs.
>
Investigation shows that this is because ino_t is 64-bit on GNU/Linux
amd64. Following patch fixes the problem:
diff -ur ufsutils-8.2//sys/ufs/ffs/fs.h
/home/phcoder/repos/ufsutils/ufsutils-8.2//sys/ufs/ffs/fs.h
--- ufsutils-8.2//sys/ufs/ffs/fs.h    2011-10-31 00:18:35.000000000 +0100
+++ /home/phcoder/repos/ufsutils/ufsutils-8.2//sys/ufs/ffs/fs.h   
2011-10-31 00:19:23.238889421 +0100
@@ -336,7 +336,7 @@
     ufs2_daddr_t fs_csaddr;        /* blk addr of cyl grp summary area */
     int64_t     fs_pendingblocks;    /* (u) blocks being freed */
     u_int32_t fs_pendinginodes;    /* (u) inodes being freed */
-    ino_t     fs_snapinum[FSMAXSNAP];/* list of snapshot inode numbers */
+    u_int32_t fs_snapinum[FSMAXSNAP];/* list of snapshot inode numbers */
     u_int32_t fs_avgfilesize;    /* expected average file size */
     u_int32_t fs_avgfpdir;        /* expected # of files per directory */
     int32_t     fs_save_cgsize;    /* save real cg size to use fs_bsize */

> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages ufsutils depends on:
> ii  libbsd0   0.3.0-1        
> ii  libc6     2.13-21        
> ii  libedit2  2.11-20080614-3
>
> ufsutils recommends no packages.
>
> ufsutils suggests no packages.
>
> -- debconf-show failed
>
>
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com> to control@bugs.debian.org. (Sun, 30 Oct 2011 23:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#646518; Package ufsutils. (Sun, 13 Nov 2011 12:07:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 13 Nov 2011 12:07:21 GMT) Full text and rfc822 format available.

Message #17 received at 646518@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>, 646518@bugs.debian.org
Subject: Re: Bug#646518: ufsutils: Wrong superblock after mkfs.ufs
Date: Sun, 13 Nov 2011 13:05:03 +0100
tags 646518 fixed-upstream
thanks

2011/10/31 Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
> -    ino_t     fs_snapinum[FSMAXSNAP];/* list of snapshot inode numbers */
> +    u_int32_t fs_snapinum[FSMAXSNAP];/* list of snapshot inode numbers */

FYI it seems this has been fixed in upstream (only in 10-CURRENT though):

http://svnweb.freebsd.org/base?view=revision&revision=227382

-- 
Robert Millan




Added tag(s) fixed-upstream. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 12:08:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 27 Nov 2011 17:18:08 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 27 Nov 2011 18:09:10 GMT) Full text and rfc822 format available.

Notification sent to phcoder <phcoder@gmail.com>:
Bug acknowledged by developer. (Sun, 27 Nov 2011 18:09:10 GMT) Full text and rfc822 format available.

Message #26 received at 646518-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 646518-close@bugs.debian.org
Subject: Bug#646518: fixed in ufsutils 8.2-3
Date: Sun, 27 Nov 2011 18:07:20 +0000
Source: ufsutils
Source-Version: 8.2-3

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/u/ufsutils/ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
ufsutils_8.2-3.debian.tar.gz
  to main/u/ufsutils/ufsutils_8.2-3.debian.tar.gz
ufsutils_8.2-3.dsc
  to main/u/ufsutils/ufsutils_8.2-3.dsc
ufsutils_8.2-3_kfreebsd-amd64.deb
  to main/u/ufsutils/ufsutils_8.2-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Nov 2011 18:18:04 +0100
Source: ufsutils
Binary: ufsutils ufsutils-udeb
Architecture: source kfreebsd-amd64
Version: 8.2-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 ufsutils   - UFS filesystems utilities
 ufsutils-udeb - stripped-down versions of ufsutils, for debian-installer (udeb)
Closes: 635272 646518
Changes: 
 ufsutils (8.2-3) unstable; urgency=low
 .
   * Add myself to Uploaders.
   * Remove remnants of ZFS when creating a new file system.  (Closes: #635272)
     - 04_portable_berase.patch: Fix berase().
     - 05_wipe_otherfs.patch: Wipe out other filesystems by erasing first and
       last 512 kiB of disk (this works for at least ZFS, in addition to UFS1
       which was already taken care of).
   * 00_portable_ufs_types.patch: Fix broken type for non-kFreeBSD
     platforms.  Thanks Vladimir Serbinenko.  (Closes: #646518)
Checksums-Sha1: 
 051d7e944a38c901e37b3a891b5624a83a54de02 1418 ufsutils_8.2-3.dsc
 82aec62e649e458e72a59edf564db71c9e604adf 23469 ufsutils_8.2-3.debian.tar.gz
 5590c5b5b8b54bd5fa5480d6ea8e0a45e58d1751 176776 ufsutils_8.2-3_kfreebsd-amd64.deb
 83c0144fe8f847a75241f1f1c1d663851b7cc2eb 91336 ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 0e06752a923df7e43b5657a03bb92550fa05be1d62b192ca500e9c5a2e98db29 1418 ufsutils_8.2-3.dsc
 6040ad18ddbf9fa37b87b084fe6cf19c50f63456d15b6726067c558f8383b795 23469 ufsutils_8.2-3.debian.tar.gz
 58cb77ea05edc0b5e2cad825240cb41b173f061e8d83374dbe5368224c2257ab 176776 ufsutils_8.2-3_kfreebsd-amd64.deb
 a3f6026eb93171741576eb0a557ca0ff939b576040e8e2358f9f18d49bcd7b6e 91336 ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
Files: 
 71f68ab7e6a48b5a0200c2282046186b 1418 utils optional ufsutils_8.2-3.dsc
 82077eb8980d3f9567910f61892c56f1 23469 utils optional ufsutils_8.2-3.debian.tar.gz
 b238e4fbf4fab86946b75cdce36b8593 176776 utils optional ufsutils_8.2-3_kfreebsd-amd64.deb
 fc21ce5bfcd13798a69ec6cdd5cd1db8 91336 debian-installer optional ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk7SdzIACgkQC19io6rUCv+AcgCgirSp07cjTjvOJRpCvw3H747d
5xgAoIBvgxgyu1bJOcNS0vgWGi+tFkFG
=I10S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jan 2012 07:32:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:48:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.